import { OnInit, OnChanges, SimpleChanges, OnDestroy, TemplateRef, ElementRef, ComponentFactoryResolver, ViewContainerRef, EventEmitter } from '@angular/core';
import { NgxBootstrapPopup } from './ngx-bootstrap-popup';
import { IPopupOptions } from './shared';
export declare class NgxBootstrapPopoverDirective extends NgxBootstrapPopup implements OnInit, OnChanges, OnDestroy {
    popoverContent: string | TemplateRef<any>;
    popoverTitle: string | TemplateRef<any>;
    popoverOptions: IPopupOptions;
    popoverEnabled: boolean;
    popoverDismissOnClickOutside: boolean;
    popoverEvents: EventEmitter<Event>;
    popupType: 'popover';
    constructor(elementRef: ElementRef, cfr: ComponentFactoryResolver, vcr: ViewContainerRef);
    readonly title: string | TemplateRef<any>;
    readonly content: string | TemplateRef<any>;
    readonly options: IPopupOptions;
    readonly enabled: boolean;
    readonly dismissOnClickOutside: boolean;
    ngOnChanges(changes: SimpleChanges): void;
}
